Bug 259210 - security/p5-Mcrypt: cleanup
Summary: security/p5-Mcrypt: cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-16 09:54 UTC by Tatsuki Makino
Modified: 2021-11-15 03:41 UTC (History)
1 user (show)

See Also:
tatsuki_makino: maintainer-feedback+
yasu: merge-quarterly+


Attachments
patch for security/p5-Mcrypt (1.48 KB, patch)
2021-10-16 09:54 UTC, Tatsuki Makino
tatsuki_makino: maintainer-approval+
Details | Diff
poudriere log (15.42 KB, text/plain)
2021-10-16 09:55 UTC, Tatsuki Makino
no flags Details
patch for security/p5-Mcrypt (2.21 KB, patch)
2021-11-08 05:10 UTC, Tatsuki Makino
tatsuki_makino: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tatsuki Makino 2021-10-16 09:54:32 UTC
Created attachment 228759 [details]
patch for security/p5-Mcrypt

Switched from PORTVERSION to DISTVERSION.
The regular LOCALBASE is used for LDFLAGS, not PREFIX -L/usr/local/lib generated by something else.
PORTREVISION has already been bumped for the above.
Regenerated distinfo by running make makesum "FORCE_FETCH_ALL=yes" "FETCH_ARGS=-pm".
Regenerated pkg-plist by running make makeplist.
Comment 1 Tatsuki Makino 2021-10-16 09:55:11 UTC
Created attachment 228760 [details]
poudriere log
Comment 2 Yasuhiro Kimura freebsd_committer 2021-11-07 23:05:51 UTC
(In reply to Tatsuki Makino from comment #0)

> Switched from PORTVERSION to DISTVERSION.
> The regular LOCALBASE is used for LDFLAGS, not PREFIX -L/usr/local/lib generated by something else.
> Regenerated distinfo by running make makesum "FORCE_FETCH_ALL=yes" "FETCH_ARGS=-pm".
> Regenerated pkg-plist by running make makeplist.

It doesn't seem to me that these changes affect to the result of package build, and so bumping PORTREVION isn't necessary.
Comment 3 Tatsuki Makino 2021-11-08 05:10:36 UTC
Created attachment 229355 [details]
patch for security/p5-Mcrypt

(In reply to Yasuhiro Kimura from comment #2)

PORTREVISION was bumped because it adds -L/usr/local/lib to the command line when linking.
-L/usr/local/lib now appears twice on the command line, but I don't think there is any change in the result, so there is no reason to bump PORTREVISION.

But, there was a problem in Makefile.PL that Mcrypt.so was linked with libltdl.so.
It happens in the environment where libltdl (devel/libltdl) is installed.
In an environment where it is not installed, the build will succeed, but there will be a warning:
Warning (mostly harmless): No library found for -lltdl
So I have prepared a new attachment with a measure to solve that problem.

Bumping PORTREVISION now has added meaning of correcting it.
The new attachment has been successfully built in poudriere.
Comment 4 Yasuhiro Kimura freebsd_committer 2021-11-12 10:00:39 UTC
(In reply to Tatsuki Makino from comment #0)

> Regenerated distinfo by running make makesum "FORCE_FETCH_ALL=yes" "FETCH_ARGS=-pm".

I overlooked it when I wrote comment #2.

As the result of `make makesum "FORCE_FETCH_ALL=yes"` only TIMESTAMP is updated with distinfo. Then isn't it necessary to update the file?
Comment 5 Tatsuki Makino 2021-11-13 00:30:02 UTC
(In reply to Yasuhiro Kimura from comment #4)

Now that I have confirmed that the hash value has not changed, I would like an update to include that as the time I did it.
This TIMESTAMP is used by portlint to make sure that its TIMESTAMP time is not in the future, at least for now.
In the future, TIMESTAMP may also be used to check for being too old.
Comment 6 Yasuhiro Kimura freebsd_committer 2021-11-15 03:04:47 UTC
(In reply to Tatsuki Makino from comment #5)

Sorry, I misunderstood you try to update existing TIMESTAMP. Since there is currently no TIMESTAMP in distinfo, it should be added of course.
Comment 7 Yasuhiro Kimura freebsd_committer 2021-11-15 03:05:06 UTC
Take.
Comment 8 commit-hook freebsd_committer 2021-11-15 03:30:50 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e6a10825e4a359c04e254766107ac4769ea60bd1

commit e6a10825e4a359c04e254766107ac4769ea60bd1
Author:     Tatsuki Makino <tatsuki_makino@hotmail.com>
AuthorDate: 2021-11-08 03:00:00 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-15 03:29:21 +0000

    security/p5-Mcrypt: Fix link issue and miscellaneous cleanup

    * Fix issue that Mcrypt.so is linked with libltdl.so if the port is
      build under the environment where devel/libltdl is installed
    * Add TIMESTAMP to distinfo
    * Switch to DISTVERSION
    * Regenerate pkg-plist with `make makeplist`
    * Pet portlint and portclippy

    PR:             259210
    MFH:            2021Q4

 security/p5-Mcrypt/Makefile  | 13 ++++++++-----
 security/p5-Mcrypt/distinfo  |  1 +
 security/p5-Mcrypt/pkg-plist |  2 +-
 3 files changed, 10 insertions(+), 6 deletions(-)
Comment 9 commit-hook freebsd_committer 2021-11-15 03:33:54 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3c9bc2e8fb6fa738f9c79950fccebeba4892efd4

commit 3c9bc2e8fb6fa738f9c79950fccebeba4892efd4
Author:     Tatsuki Makino <tatsuki_makino@hotmail.com>
AuthorDate: 2021-11-08 03:00:00 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-15 03:32:29 +0000

    security/p5-Mcrypt: Fix link issue and miscellaneous cleanup

    * Fix issue that Mcrypt.so is linked with libltdl.so if the port is
      build under the environment where devel/libltdl is installed
    * Add TIMESTAMP to distinfo
    * Switch to DISTVERSION
    * Regenerate pkg-plist with `make makeplist`
    * Pet portlint and portclippy

    PR:             259210
    MFH:            2021Q4
    (cherry picked from commit e6a10825e4a359c04e254766107ac4769ea60bd1)

 security/p5-Mcrypt/Makefile  | 13 ++++++++-----
 security/p5-Mcrypt/distinfo  |  1 +
 security/p5-Mcrypt/pkg-plist |  2 +-
 3 files changed, 10 insertions(+), 6 deletions(-)
Comment 10 Yasuhiro Kimura freebsd_committer 2021-11-15 03:36:55 UTC
Committed and merged to quarterly branch. Thanks!
Comment 11 Tatsuki Makino 2021-11-15 03:41:49 UTC
Thank you very much.